Index: trunk/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -32,5 +32,5 @@
   /// </summary>
   /// <typeparam name="T">The element type (base type IItem)</typeparam>
-  [StorableClass]
+  [StorableType("CAD59659-15B5-4CB0-A199-272E28F40832")]
   [Item("CheckedItemCollection", "Represents a collection of items that can be checked or unchecked.")]
   public class CheckedItemCollection<T> : ItemCollection<T>, ICheckedItemCollection<T> where T : class, IItem {
@@ -50,5 +50,5 @@
     /// <param name="deserializing"></param>
     [StorableConstructor]
-    protected CheckedItemCollection(bool deserializing) : base(deserializing) { }
+    protected CheckedItemCollection(StorableConstructorFlag _) : base(_) { }
     protected CheckedItemCollection(CheckedItemCollection<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -32,5 +32,5 @@
   /// </summary>
   /// <typeparam name="T">The element type (base type is IItem)</typeparam>
-  [StorableClass]
+  [StorableType("83222907-689C-484B-8431-BA85DF516761")]
   [Item("CheckedItemList", "Represents a list of items that can be checked or unchecked.")]
   public class CheckedItemList<T> : ItemList<T>, ICheckedItemList<T> where T : class, IItem {
@@ -54,5 +54,5 @@
     /// <param name="deserializing"></param>
     [StorableConstructor]
-    protected CheckedItemList(bool deserializing) : base(deserializing) { }
+    protected CheckedItemList(StorableConstructorFlag _) : base(_) { }
     protected CheckedItemList(CheckedItemList<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("5E78ED3E-97A4-4632-B729-C9B7DC965609")]
   [Item("ConstraintCollection", "Represents a collection of constraints.")]
   public class ConstraintCollection : ItemCollection<IConstraint> {
     [StorableConstructor]
-    protected ConstraintCollection(bool deserializing) : base(deserializing) { }
+    protected ConstraintCollection(StorableConstructorFlag _) : base(_) { }
     protected ConstraintCollection(ConstraintCollection original, Cloner cloner) : base(original, cloner) { }
     public ConstraintCollection() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,9 +22,9 @@
 using System;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
   [Item("Arc", "A graph arc connecting two graph vertices, that can have a weight, label, and data object for holding additional info")]
-  [StorableClass]
+  [StorableType("E91E40A2-FE77-49F0-866E-5127F3C1AC79")]
   public class Arc : Item, IArc {
     [Storable]
@@ -58,5 +58,5 @@
 
     [StorableConstructor]
-    protected Arc(bool deserializing) : base(deserializing) { }
+    protected Arc(StorableConstructorFlag _) : base(_) { }
 
     public Arc(IVertex source, IVertex target) {
@@ -82,5 +82,5 @@
   }
 
-  [StorableClass]
+  [StorableType("5F06782E-3BD2-4A9D-B030-BE1D6A6B714F")]
   public class Arc<T> : Arc, IArc<T> where T : class, IDeepCloneable {
     [Storable]
@@ -105,6 +105,7 @@
     }
 
-    public Arc(bool deserializing)
-      : base(deserializing) {
+    [StorableConstructor]
+    public Arc(StorableConstructorFlag _)
+      : base(_) {
     }
 
Index: trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Common;
 using HeuristicLab.Common.Resources;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
   [Item("DirectedGraph", "Generic class representing a directed graph with custom vertices and content")]
-  [StorableClass]
+  [StorableType("C7DF8A65-95AE-4D73-950B-27A8086D7DA2")]
   public class DirectedGraph : Item, IDirectedGraph {
     public override Image ItemImage { get { return VSImageLibrary.Graph; } }
@@ -70,6 +70,5 @@
 
     [StorableConstructor]
-    protected DirectedGraph(bool serializing)
-      : base(serializing) {
+    protected DirectedGraph(StorableConstructorFlag _) : base(_) {
     }
 
Index: trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,9 +24,9 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
   [Item("Vertex", "An object representing a vertex in the graph. It can have a text label, a weight, and an additional data object.")]
-  [StorableClass]
+  [StorableType("3FA3AAFA-05FF-4BE9-BD72-05A822A5E8CC")]
   public class Vertex : Item, IVertex {
     [Storable]
@@ -67,5 +67,5 @@
 
     [StorableConstructor]
-    public Vertex(bool deserializing) : base(deserializing) { }
+    public Vertex(StorableConstructorFlag _) : base(_) { }
 
     [StorableHook(HookType.AfterDeserialization)]
@@ -141,5 +141,5 @@
   }
 
-  [StorableClass]
+  [StorableType("ED2FD106-6F97-415A-A6D0-7F6690426910")]
   public class Vertex<T> : Vertex, IVertex<T> where T : class,IDeepCloneable {
     [Storable]
@@ -155,5 +155,5 @@
 
     [StorableConstructor]
-    protected Vertex(bool deserializing) : base(deserializing) { }
+    protected Vertex(StorableConstructorFlag _) : base(_) { }
 
     protected Vertex(Vertex<T> original, Cloner cloner)
Index: trunk/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("CB8A238C-B8E6-47A3-A7D8-AB1212DEC672")]
   [Item("ItemArray", "Represents an array of items.")]
   public class ItemArray<T> : ObservableArray<T>, IItemArray<T> where T : class, IItem {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemArray(bool deserializing) : base(deserializing) { }
+    protected ItemArray(StorableConstructorFlag _) : base(_) { }
     protected ItemArray(ItemArray<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("0BD4F01E-2D52-4E41-AEF8-611F10856D90")]
   [Item("ItemCollection", "Represents a collection of items.")]
   public class ItemCollection<T> : ObservableCollection<T>, IItemCollection<T> where T : class, IItem {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemCollection(bool deserializing) : base(deserializing) { }
+    protected ItemCollection(StorableConstructorFlag _) : base(_) { }
     protected ItemCollection(ItemCollection<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,8 +25,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("C2B03555-3956-400E-94C3-3FB868F30DD2")]
   [Item("ItemDictionary", "Represents a dictionary of items.")]
   public class ItemDictionary<TKey, TValue> : ObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue>
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    protected ItemDictionary(bool deserializing) : base(deserializing) { }
+    protected ItemDictionary(StorableConstructorFlag _) : base(_) { }
     protected ItemDictionary(ItemDictionary<TKey, TValue> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("EF6B019D-4ECF-4146-A77D-FF041D0B85F5")]
   [Item("ItemList", "Represents a list of items.")]
   public class ItemList<T> : ObservableList<T>, IItemList<T> where T : class, IItem {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemList(bool deserializing) : base(deserializing) { }
+    protected ItemList(StorableConstructorFlag _) : base(_) { }
     protected ItemList(ItemList<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("C2660C9F-3886-458E-80DF-06EEE9BB3C21")]
   [Item("ItemSet", "Represents a set of items.")]
   public class ItemSet<T> : ObservableSet<T>, IItemSet<T> where T : class, IItem {
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    protected ItemSet(bool deserializing) : base(deserializing) { }
+    protected ItemSet(StorableConstructorFlag _) : base(_) { }
     protected ItemSet(ItemSet<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
   [Item("KeyedItemCollection", "Represents a keyed collection of items.")]
-  [StorableClass]
+  [StorableType("176A9538-58A6-4D3F-9590-26FC37E2BA04")]
   public abstract class KeyedItemCollection<TKey, TItem> : ObservableKeyedCollection<TKey, TItem>, IKeyedItemCollection<TKey, TItem> where TItem : class, IItem {
     public virtual string ItemName {
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected KeyedItemCollection(bool deserializing) : base(deserializing) { }
+    protected KeyedItemCollection(StorableConstructorFlag _) : base(_) { }
     protected KeyedItemCollection(KeyedItemCollection<TKey, TItem> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,12 +23,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
   [Item("NamedItemCollection", "Represents a collection of named items.")]
-  [StorableClass]
+  [StorableType("A7DC6650-2486-472C-8515-0D66C93C03F6")]
   public class NamedItemCollection<T> : KeyedItemCollection<string, T> where T : class, INamedItem {
     [StorableConstructor]
-    protected NamedItemCollection(bool deserializing) : base(deserializing) { }
+    protected NamedItemCollection(StorableConstructorFlag _) : base(_) { }
     protected NamedItemCollection(NamedItemCollection<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Core/3.3/Collections/OperationCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,8 +23,8 @@
 using System.Linq;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("EDE09772-7C20-4B51-90FF-5867B1D91ABE")]
   public sealed class OperationCollection : DeepCloneable, IList<IOperation>, IOperation {
     [Storable]
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private OperationCollection(bool deserializing) { }
+    private OperationCollection(StorableConstructorFlag _) { }
     private OperationCollection(OperationCollection original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("35A02DD1-33F8-4F0D-9DD5-93ED71EE1591")]
   [Item("Operator Collection", "Represents a collection of operators.")]
   public class OperatorCollection : ItemCollection<IOperator> {
     [StorableConstructor]
-    protected OperatorCollection(bool deserializing) : base(deserializing) { }
+    protected OperatorCollection(StorableConstructorFlag _) : base(_) { }
     protected OperatorCollection(OperatorCollection original, Cloner cloner) : base(original, cloner) { }
     public OperatorCollection() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/OperatorList.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("0477DDAD-41AA-41E7-AE2A-5C0288484119")]
   [Item("OperatorList", "Represents a list of operators.")]
   public class OperatorList : ItemList<IOperator> {
     [StorableConstructor]
-    protected OperatorList(bool deserializing) : base(deserializing) { }
+    protected OperatorList(StorableConstructorFlag _) : base(_) { }
     protected OperatorList(OperatorList original, Cloner cloner) : base(original, cloner) { }
     public OperatorList() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/OperatorSet.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("FC16764E-EA5C-4D53-953B-3BEE85C7C376")]
   [Item("OperatorSet", "Represents a set of operators.")]
   public class OperatorSet : ItemSet<IOperator> {
     [StorableConstructor]
-    protected OperatorSet(bool deserializing) : base(deserializing) { }
+    protected OperatorSet(StorableConstructorFlag _) : base(_) { }
     protected OperatorSet(OperatorSet original, Cloner cloner) : base(original, cloner) { }
     public OperatorSet() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("D1F7CEF4-42C6-46E1-B2B9-AB49C1420D55")]
   [Item("ParameterCollection", "Represents a collection of parameters.")]
   public class ParameterCollection : NamedItemCollection<IParameter> {
     [StorableConstructor]
-    protected ParameterCollection(bool deserializing) : base(deserializing) { }
+    protected ParameterCollection(StorableConstructorFlag _) : base(_) { }
     protected ParameterCollection(ParameterCollection original, Cloner cloner) : base(original, cloner) { }
     public ParameterCollection() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("81B63F7B-0AD4-4BAD-8F39-BAB1F6B006C8")]
   [Item("ReadOnlyCheckedItemCollection", "Represents a read-only collection of checked items.")]
   public class ReadOnlyCheckedItemCollection<T> : ReadOnlyItemCollection<T>, ICheckedItemCollection<T> where T : class, IItem {
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyCheckedItemCollection(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyCheckedItemCollection(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyCheckedItemCollection(ReadOnlyCheckedItemCollection<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("BE738F46-3864-42BB-BD29-F3E933B0AC06")]
   [Item("ReadOnlyCheckedItemList", "Represents a read-only list of checked items.")]
   public class ReadOnlyCheckedItemList<T> : ReadOnlyItemList<T>, ICheckedItemList<T> where T : class, IItem {
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyCheckedItemList(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyCheckedItemList(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyCheckedItemList(ReadOnlyCheckedItemList<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("29C0CA71-5C3C-48A7-93B3-289E532F396E")]
   [Item("ReadOnlyItemArray", "Represents a read-only array of items.")]
   public class ReadOnlyItemArray<T> : ReadOnlyObservableArray<T>, IItemArray<T> where T : class, IItem {
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemArray(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemArray(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyItemArray(ReadOnlyItemArray<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("B8D4A97C-4277-4B42-86E2-8D64B254BCFD")]
   [Item("ReadOnlyItemCollection", "Represents a read-only collection of items.")]
   public class ReadOnlyItemCollection<T> : ReadOnlyObservableCollection<T>, IItemCollection<T> where T : class, IItem {
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemCollection(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemCollection(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyItemCollection(ReadOnlyItemCollection<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("DCF34C1E-1F68-4AAB-9761-4036D58E7E75")]
   [Item("ReadOnlyItemDictionary", "Represents a read-only dictionary of items.")]
   public class ReadOnlyItemDictionary<TKey, TValue> : ReadOnlyObservableDictionary<TKey, TValue>, IItemDictionary<TKey, TValue>
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemDictionary(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemDictionary(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyItemDictionary(ReadOnlyItemDictionary<TKey, TValue> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("8FC81B05-B27D-4FD7-A8F9-7EE29839B056")]
   [Item("ReadOnlyItemList", "Represents a read-only list of items.")]
   public class ReadOnlyItemList<T> : ReadOnlyObservableList<T>, IItemList<T> where T : class, IItem {
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemList(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemList(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyItemList(ReadOnlyItemList<T> original, Cloner cloner)
       : base(cloner.Clone((IItemList<T>)original.list)) {
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("65208683-0ECE-4647-B8BA-FD80A9CA00F4")]
   [Item("ReadOnlyItemSet", "Represents a read-only set of items.")]
   public class ReadOnlyItemSet<T> : ReadOnlyObservableSet<T>, IItemSet<T> where T : class, IItem {
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyItemSet(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyItemSet(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyItemSet(ReadOnlyItemSet<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,8 +24,8 @@
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("BEAA9943-228E-4B99-9C07-CE77BA724C41")]
   [Item("ReadOnlyKeyedItemCollection", "Represents a read-only keyed collection of items.")]
   public class ReadOnlyKeyedItemCollection<TKey, TItem> : ReadOnlyObservableKeyedCollection<TKey, TItem>, IKeyedItemCollection<TKey, TItem> where TItem : class, IItem {
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    protected ReadOnlyKeyedItemCollection(bool deserializing) : base(deserializing) { }
+    protected ReadOnlyKeyedItemCollection(StorableConstructorFlag _) : base(_) { }
     protected ReadOnlyKeyedItemCollection(ReadOnlyKeyedItemCollection<TKey, TItem> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Core/3.3/Collections/ScopeList.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("D8670057-029C-449C-914C-0342A0DCB2C5")]
   [Item("ScopeList", "Represents a list of scopes.")]
   public sealed class ScopeList : ItemList<IScope> {
     [StorableConstructor]
-    private ScopeList(bool deserializing) : base(deserializing) { }
+    private ScopeList(StorableConstructorFlag _) : base(_) { }
     private ScopeList(ScopeList original, Cloner cloner) : base(original, cloner) { }
     public ScopeList() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("758F5674-7D98-4F44-800E-9E6B0B646938")]
   [Item("ValueParameterCollection", "Represents a collection of value parameters.")]
   public class ValueParameterCollection : NamedItemCollection<IValueParameter> {
     [StorableConstructor]
-    protected ValueParameterCollection(bool deserializing) : base(deserializing) { }
+    protected ValueParameterCollection(StorableConstructorFlag _) : base(_) { }
     protected ValueParameterCollection(ValueParameterCollection original, Cloner cloner) : base(original, cloner) { }
     public ValueParameterCollection() : base() { }
Index: trunk/HeuristicLab.Core/3.3/Collections/VariableCollection.cs
===================================================================
--- trunk/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 15682)
+++ trunk/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,12 +22,12 @@
 using System.Collections.Generic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Core {
-  [StorableClass]
+  [StorableType("72180610-BA37-4A51-9EFD-D9ADD1061824")]
   [Item("VariableCollection", "Represents a collection of variables.")]
   public sealed class VariableCollection : NamedItemCollection<IVariable> {
     [StorableConstructor]
-    private VariableCollection(bool deserializing) : base(deserializing) { }
+    private VariableCollection(StorableConstructorFlag _) : base(_) { }
     private VariableCollection(VariableCollection original, Cloner cloner) : base(original, cloner) { }
     public VariableCollection() : base() { }
